API referenceInvoices
Get an invoice with items, payments, refunds and timeline
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
orderId*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/invoices/string"{ "invoice": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": -9007199254740991, "uniqueId": "string", "env": "live", "status": "pending", "paymentSummary": "string", "fulfilmentSummary": "string", "completionKind": "automatic", "email": "string", "currency": "string", "totalMinor": -9007199254740991, "paidMinor": -9007199254740991, "refundedMinor": -9007199254740991, "paymentMethod": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "provider": "string" }, "items": [ { "name": "string", "variant": "string", "qty": -9007199254740991 } ], "source": "string", "buyerCountry": "string", "createdAt": "string", "paidAt": "string", "archived": true, "note": "string", "storeCurrency": { "currency": "string", "rate": "string", "rateDate": "string", "totalMinor": -9007199254740991, "refundedMinor": -9007199254740991 }, "subtotalMinor": -9007199254740991, "discountMinor": -9007199254740991, "methodFeeMinor": -9007199254740991, "taxMinor": -9007199254740991, "shippingMinor": -9007199254740991, "couponCode": "string", "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "buyerIp": "string", "userAgent": "string", "asn": "string", "discordUserId": "string", "attribution": { "property1": "string", "property2": "string" }, "metadata": { "property1": "string", "property2": "string" }, "billingAddress": { "property1": null, "property2": null }, "shippingAddress": { "property1": null, "property2": null }, "dashboardNote": "string", "expiresAt": "string", "statusReason": "string", "invoiceUrl": "string", "refundableMinor": -9007199254740991, "agent": { "browser": "string", "os": "string", "device": "string" } }, "session": { "startedAt": "string", "lastSeenAt": "string", "durationMs": -9007199254740991, "pageviews": -9007199254740991, "entryPath": "string", "exitPath": "string", "referrerHost": "string", "channel": "string", "utm": { "property1": "string", "property2": "string" }, "country": "string", "browser": "string", "os": "string", "device": "string", "pages": [ { "path": "string", "at": "string", "engagedMs": -9007199254740991 } ] }, "deliveryLogs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lineId": "e698cdee-c4ef-4d12-b0ea-7c98b2fc64a8", "productName": "string", "deliveryType": "string", "state": "string", "attempts": -9007199254740991, "lastError": "string", "httpStatus": -9007199254740991, "durationMs": -9007199254740991, "createdAt": "string", "completedAt": "string" } ], "lines": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "productName": "string", "variantName": "string", "qty": -9007199254740991, "unitPriceMinor": -9007199254740991, "discountMinor": -9007199254740991, "totalMinor": -9007199254740991, "costMinor": -9007199254740991, "deliveryType": "string", "customFieldValues": { "property1": "string", "property2": "string" }, "deliveredQty": -9007199254740991, "fulfilmentState": "string", "serviceState": "string", "shippingState": "string", "tracking": { "carrier": "string", "number": "string", "url": "string" }, "deliveryMessage": "string", "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "serial", "value": "string", "file": { "name": "string", "size": 0, "downloadPath": "string" }, "replaced": true, "revoked": true, "isReplacement": true, "replacedAt": "string", "replacementReason": "string" } ], "isAddon": true } ], "attempts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "methodLabel": "string", "state": "string", "amountMinor": -9007199254740991, "capturedMinor": -9007199254740991, "currency": "string", "externalId": "string", "failureMessage": "string", "completionKind": "string", "buyerProof": "string", "createdAt": "string" } ], "refunds": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "amountMinor": -9007199254740991, "currency": "string", "kind": "string", "state": "string", "reason": "string", "externalId": "string", "failureMessage": "string", "createdAt": "string", "resolvedAt": "string" } ], "events": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "message": "string", "actorType": "string", "createdAt": "string" } ]}